import { RefreshConnectionsCommand } from "./refresh-connections-command";
export declare const executePromptMessages: {
    readonly template: "Select a template to execute";
    readonly fixture: "Select a catalog fixture to run the template against";
    readonly externalData: "Select external data to run the template against";
    readonly connection: "Select a connection to execute templates against";
};
/**
 * The input flags in their potentially incomplete state as provided by the user
 * and while being computed
 */
interface ExecuteInputFlags {
    "template-path"?: string;
    "connection-id"?: string;
    "fixture-path"?: string;
    "external-data-path"?: string;
}
export declare class Execute extends RefreshConnectionsCommand {
    static flags: {
        "template-path": import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        "fixture-path": import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        "external-data-path": import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
        "connection-id": import("@oclif/core/interfaces").OptionFlag<string | undefined, import("@oclif/core/interfaces").CustomOptions>;
    };
    static description: string;
    static examples: string[];
    input: ExecuteInputFlags;
    runCommand(): Promise<void>;
    private parseFlags;
    private getTemplateExecInput;
    private validateAndGetConnection;
    private getConnectionForTemplate;
}
export {};
//# sourceMappingURL=execute.d.ts.map