import { type Config, type ConnectionConfigDict } from "../types";
/**
 * @returns The exported config from the connectrc.js file .
 * @throws CLIError if the connectrc.js file is not found or contains a syntax error.
 * @description This function attempts to load the connectrc.js file from the root directory of the repository.
 * If the file is not found, it throws a CLIError with a message indicating the expected path.
 */
export declare function getRepositoryConfigFile(): Promise<Config>;
/**
 * Reads the content of the connectrc.js file and returns the connections object and the content of the file
 * @returns The connections object and the content of the connectrc.js file in {@link RawConfigContent}
 */
export declare function getRepositoryConnectionsAndConfig(): Promise<RawConfigContent>;
interface RawConfigContent {
    fileContent: string;
    existingConnections: ConnectionConfigDict;
}
export {};
//# sourceMappingURL=config.d.ts.map