/**
 * @returns The provided path prepended with the root directory - in the user's OS path pattern.
 *
 * E.g. Unix: /path/to/file
 * E.g. Windows: C:\path\to\file
 */
export declare function getCustomerOSSpecificPath(path: string): string;
/**
 * Receives either a relative or absolute path for a given template file.
 *
 * Unix
 * - src/templates/variation/variation.jsonata
 * - ./src/templates/variation/variation.jsonata
 * - /usr/username/templates-folder/src/templates/variation/variation.jsonata
 *
 * Windows
 * - src\templates\variation\variation.jsonata
 * - .\src\templates\variation\variation.jsonata
 * - C:\users\username\templates-folder\src\templates\variation\variation.jsonata
 *
 * And returns a relative unix path WITHOUT its type prefix (e.g "src/templates"), like so:
 * - variation/variation.jsonata
 */
export declare function cleanupPath(filePath: string | undefined): string;
//# sourceMappingURL=path.d.ts.map