import { type ConnectionResponseDto } from "../http/get-connections-request";
import { type Config, type ConnectionConfigDict } from "../types";
/**
 * Builds the config object from the connections list.
 * @param connections
 * @param shouldCreateMappingTemplates
 * @returns the config object
 */
export declare function buildConfigFromConnections(connections: ConnectionResponseDto[], shouldCreateMappingTemplates: boolean): Config;
/**
 * Builds a dictionary of connections from array of connections sorted by environment and name.
 * @param connections Array of connections
 * @returns Dictionary of connections
 */
export declare function buildConnectionsDictFromList(connections: ConnectionResponseDto[]): ConnectionConfigDict;
export declare function buildConfigString(config: Config, connections: ConnectionConfigDict): string;
//# sourceMappingURL=build-config-file.d.ts.map