/**
 * Check if Git is installed
 *
 * This function attempts to run the 'git --version' command.
 * It will return true if the command succeeds, indicating Git is installed.
 * It will return false if the command fails for any reason (including Git not being in PATH,
 * not installed, or any other error).
 *
 * This implementation works across different operating systems (Windows, macOS, Linux)
 * as it simply relies on the command execution succeeding or failing.
 *
 * @returns true if Git is installed, false otherwise
 */
export declare function isGitInstalled(): boolean;
//# sourceMappingURL=is-git-installed.d.ts.map