import axios from "axios";
interface HttpClientPayload {
    requiresAuth: boolean;
}
/**
 * @returns An axios instance with the correct base URL and auth token.
 */
export declare function getHttpClient({ requiresAuth }?: HttpClientPayload): Promise<axios.AxiosInstance>;
/**
 * Checks if a request should be retried.
 */
export declare function checkRetryCondition(error: any): boolean;
/**
 * Calculates the time in ms to wait before retrying the request.
 */
export declare function calculateRetryDelay(retryCount: number, error: any): 2000 | 500;
export {};
//# sourceMappingURL=http-client.d.ts.map