"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.triggerCatalogSync = triggerCatalogSync;
const axios_1 = require("axios");
const errors_1 = require("@oclif/core/errors");
const ux_action_1 = require("../helpers/ux-action");
const http_client_1 = require("./http-client");
async function triggerCatalogSync(args) {
    const client = await (0, http_client_1.getHttpClient)();
    try {
        const response = await (0, ux_action_1.uxAction)("📡 Triggering catalog sync", async () => {
            return await client.post(`/connections/sync/${args.connectionId}`);
        })();
        return response.data;
    }
    catch (error) {
        if ((0, axios_1.isAxiosError)(error) && error.response) {
            throw new errors_1.CLIError("Something went wrong while triggering catalog sync: \n" +
                error.response.data.message);
        }
        throw error;
    }
}
